> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/terraform/data-sources/k8s_nodepool_nodes.md).

# ionoscloud\_k8s\_node\_pool\_nodes

The **k8s Node Pool Nodes** data source can be used to search for and return a list of existing k8s Node Pool nodes.

## Example Usage

### By IDs

```hcl
data "ionoscloud_k8s_node_pool_nodes" "example" {
  node_pool_id      = "k8s_nodepool_id"
  k8s_cluster_id 	= "k8s_cluster_id"
}
```

## Argument Reference

* `k8s_cluster_id` (Required) K8s Cluster' UUID
* `id` - (Optional) ID of the node pool you want to search for.

`k8s_cluster_id` and `node_pool_id` must be provided.

## Attributes Reference

The following attributes are returned by the datasource:

* `nodes` - a list of the nodes that are in the nodepool
  * `id` - id of the node in the nodepool
  * `name` - name of the node
  * `k8s_version` - The kubernetes version
  * `public_ip` - public ip of the node. Only present if the k8s cluster is public
  * `private_ip` - private ip of the node. Only present if the k8s cluster is private.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/terraform/data-sources/k8s_nodepool_nodes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
